.ReviewWindow {
    background-image: repeating-linear-gradient(mediumslateblue, ivory 2px, white 24px);
    background-color: white;
    width: 400px;
    height: 315px;
    display: grid;
    grid-template-areas:
        "header header"
        "review review"
        "rating rating"
        "stars stars"
        "buttons buttons";
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 0 0 10px black;
    border-radius: 5px;
    z-index: 3;
}

.header {
    grid-area: header;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    background-image: linear-gradient(oldlace 19%, ivory 91%);
    padding: 10px 20px 0 10px;
    border-bottom: 3px solid brown;
    border-radius: 5px 5px 0 0;
    height: 75px;
}

.header h2 {
    padding: 0;
    margin: 0;
    font-size: 12pt;
    font-weight: 600;
}

.StarRating {
    grid-area: rating;
    display: flex;
    align-items: center;
    height: 25px;
    margin-left: 10px;
    font-size: 10pt;
}

.stars {
    display: flex;
    font-size: 14pt;
    line-height: 0;
    margin: 0;
    margin-left: 5px;
    padding: 0;
    color: slateblue;
}

.ReviewWindow textarea {
    grid-area: review;
    resize: none;
    height: 97px;
    font-size: 10pt;
    line-height: 18pt;
    background: none;
    border: none;
    margin: 20px 10px 25px 10px;
    overflow: hidden;
}

.ReviewWindow textarea:focus {
    outline: none;
}

.ReviewWindow input:focus {
    outline: none;
}

.closeButton {
    position: absolute;
    top: 0;
    right: 0;
    font-size: 12pt;
    padding: 2px;
}

.ReviewButtons {
    grid-area: buttons;
    display: grid;
    background-image: linear-gradient(oldlace 19%, ivory 91%);
    border-top: 3px solid brown;
    border-radius: 0 0 5px 5px;
    padding: 13px 10px;
    margin: 0;
}

.grey {
    background-color: black;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
    opacity: 0.5;
}

.filler {
    height: 22px;
    margin: 0;
    padding: 0;
}

.ReviewButtons button {
    width: fit-content;
    padding: 2px;
    margin: 0;
    border-radius: 4px;
    color: #392720;
    border: 0.5px solid #422D25;
}

.ReviewButtons button:hover{
   background-color:rgba(168, 95, 64, 0.475); 
}
.ReviewButtons button:active{
    background-color:rgba(168, 95, 64, 0.893); 
 }
 .ReviewButtons button:disabled{
    opacity: 0.4; 
 }

.StarsAsNumber {
    margin-left: 5px;
}